import { FormConfig } from "/@/components/PageSearch";
import { tagTypeOptions } from "/@/views/purchase/orderRecord/config/_options";

import { statusOptions } from "./_options";

const searchFormConfig: FormConfig = {
  formItems: [
    {
      field: 'timer',
      type: 'date_picker',
      otherOptions: {
        type: 'daterange',
        startProp: 'start',
        endProp: 'end',
        startPlaceholder: '开始时间',
        endPlaceholder: '结束时间'
      }
    },
    {
      field: 'supplierNo',
      type: 'supplier-query'
    },
    {
      field: 'companyNo',
      type: 'business-query'
    },
    {
      field: 'payNo',
      type: 'input',
      placeholder: '对账编号'
    },
    {
      field: 'tag_status',
      type: 'select',
      span: '4',
      placeholder: '标签状态',
      options: tagTypeOptions
    },
    {
      field: 'status',
      type: 'select',
      placeholder: '状态',
      span: '4',
      options: statusOptions
    }
  ]
};

export default searchFormConfig;
